/*
 * PanelView.java
 *
 * Created on January 25, 2006, 5:24 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package it.businesslogic.ireport.gui.docking;

import java.awt.Component;

/**
 *
 * @author gtoffoli
 */
public class PanelView {
    
    private static int ID = 0;
    
    private String name = "";
    private Component component = null;
    private int position = 0;
    private boolean closable = false;
    private boolean minimized = false;
    private int id = 0;
    
    /**
     * Used only for drag'n'drop operations...
     */
    private DockingContainer dockingContainer = null;
    
    /** Creates a new instance of PanelView */
    public PanelView(String name, Component component, int position, boolean closable) {
    
            this.component = component;
            this.name = name;
            this.position = position;
            this.closable = closable;
            setId(ID++);
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Component getComponent() {
        return component;
    }

    public void setComponent(Component component) {
        this.component = component;
    }

    public int getPosition() {
        return position;
    }

    public void setPosition(int position) {
        this.position = position;
    }

    public DockingContainer getDockingContainer() {
        return dockingContainer;
    }

    public void setDockingContainer(DockingContainer dockingContainer) {
        this.dockingContainer = dockingContainer;
    }

    public boolean isClosable() {
        return closable;
    }

    public void setClosable(boolean closable) {
        this.closable = closable;
    }

    public boolean isMinimized() {
        return minimized;
    }

    public void setMinimized(boolean minimized) {
        this.minimized = minimized;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }
    
}
